jQuery(document).ready(function(){

bindActionButtons();

$(document).ready(function() {
    $("#y38aDistintivoForm").keypress(function(e) {
        if (e.which == 13) {
            return false;
        }
    });
});

});

function bindActionButtons(){
	$("#y38aDistintivoAlta").click(function(){
		
		comprobarDni();
	});
}

function alta(id){
	
	$("#capaDistintivo").rup_dialog("destroy");
	$("#capaDistintivo").rup_dialog({
		modal: true,
		autoOpen: true,
		resizable: false,
		width: $("#y38aDistintivo").width(),
		height: "auto",
		position: "top" ,
		title: $.rup.i18n.app.detalleDistintivo.titulo,
		url: "/y38aAppWar/establec/distintivo?R01HNoPortal=true&escodigo="+id, 
		type:$.rup.dialog.AJAX
	});	
}  
     
function error(){
	
	$(document).rup_dialog({
        type: $.rup.dialog.TEXT,
        autoOpen: true,
        modal: true,
        resizable: true,
        position: "top" ,
        title: $.rup.i18n.app.detalleDistintivo.tituloError,
        message: $.rup.i18n.app.detalleDistintivo.mensaje
});
}

function accederPopUp(nif){
	
	$.ajax({
		type : 'GET',
		url:	"/y38aAppWar/establec/nif?R01HNoPortal=true&esnif="+nif,
		dataType : "json",
		error : function(jqXHR, textStatus, errorThrown) {
			$(document).rup_dialog({
		        type: $.rup.dialog.TEXT,
		        autoOpen: true,
		        modal: true,
		        resizable: true,
		        position: "top" ,
		        title: $.rup.i18n.app.detalleDistintivo.tituloError,
		        message: $.rup.i18n.app.Distintivo.mensaje
		});
			
		},
		//TODO comprobar si es UNO o VARIOS registros si son VARIOS mostrar tabla para seleccionar
		//si es sólo UNO ir como hasta ahora alta(NIF)
		success : function(data , textStatus, jqXHR) {
			if (data.length==1){
				if (nif==data[0].esnif){
					alta(data[0].escodigo);
				}else{
					error();
				}	
			}else{
				//TODO llamar a montar tabla
				reloadTabla(data[0].esnif,data);
			}
		}
	});
}


function comprobarDni(){
	$("#y38aDistintivosGrid").rup_grid("GridUnload");
	var nif=$("#y38aDistintivoNif").val().trim();
	$("#y38aDistintivoNif").val(""+nif+"");
	if(nif=="" || nif.length<8)
		{error();}
	else
		{
	$.ajax({
		type : 'GET',
		url:	"/y38aAppWar/establec/nifCount?R01HNoPortal=true&esnif="+nif,
		dataType : "json",
		error : function(jqXHR, textStatus, errorThrown) {
			$(document).rup_dialog({
		        type: $.rup.dialog.TEXT,
		        autoOpen: true,
		        modal: true,
		        resizable: true,
		        position: "top" ,
		        title: $.rup.i18n.app.detalleDistintivo.tituloError,
		        message: $.rup.i18n.app.Distintivo.mensaje
		});
			
		},
		//si es sólo UNO ir como hasta ahora alta(NIF)
		success : function(data , textStatus, jqXHR) {
			if (data==1){
				accederPopUp(nif);
			}else if (data==0){
				error();
			}else{
				//TODO llamar a montar tabla
				reloadTabla(nif);
			}

		}
	});
		}
}
function reloadTabla(nif){
	montarTabla(nif);
}

function montarTabla(nif){
	var url = "/y38aAppWar/establec/nif?R01HNoPortal=true&esnif="+nif;
	var y38aDistintivoWidth = $("#y38aDistintivo").width() - 10;
	$("#y38aDistintivosGrid").rup_grid({

		hasMaint: false,
		url:url,
		pagerName: "result_pager_distintivos",
		rowNum: "10",
		sortorder: "asc",
		sortname:"escodigo",
		autowidth:true,
		loadOnStarUp: true,
		
		    colNames:[
			    '',
				//nombreComercial
				$.rup.i18n.app.result_grid.esnoco,
				//localizacion
				$.rup.i18n.app.result_grid.esnolo,
				$.rup.i18n.app.result_grid.esinadar
			],
			colModel:[
		      	{
						name:"escodigo",
						label:"escodigo",
						index:"escodigo",
						editable:false,
						hidden: true,
						edittype: "hidden"
				},
				{
					name: "esnoco",
					label: "esnoco",
					index: "esnoco",
					width: funcPercentage(30,y38aDistintivoWidth)
				}
				,
				{
					name:"localizacion",
					index:"localizacion",
					sortable:false,
					width: funcPercentage(40,y38aDistintivoWidth)
				},
				{
					name: "ahfeba",
					index: "ahfeba",
					editable:false,
					width: funcPercentage(15,y38aDistintivoWidth),
					formatter:ponerTick
				}
				
				],
				onSelectRow : function(id, select) {
					row=$("#y38aDistintivosGrid").rup_grid("getRowData",id); 
					alta(row.escodigo);
				}
	});
}
function ponerTick(cellValue) {
	var staticUrl=$("#idStaticsPath").val();
    if (cellValue == null)
    	return '<P ALIGN="center"><img src="'+staticUrl+'/y38a/images/tick.jpg"  width="16" height="16"></P>';
    else 
    	return '';
}
//Permite hacer trim() en IE sino produce ERROR
if(typeof String.prototype.trim !== 'function') {
  String.prototype.trim = function() {
    return this.replace(/^\s+|\s+$/g, ''); 
  };
}