jQuery(document).ready(function(){
	//feedback
	$("#y38aSectores_Feedback").rup_feedback({
		gotoTop : true,
		block : false,
		closeLink : true
	});
	
//	var row;
	var nomsect="";
	var idsect="";
	
	initItemGrid();	

});


function initItemGrid(){
	var query = $("#y38aSectoresForm").serialize();
	$("#y38aSectoresGrid").rup_grid({
		url : "/y38aAppWar/sectores/list?R01HNoPortal=true&"+ query,
		pagerName: "contact_pager_sectores",
		rowNum: "10",
		sortorder: "asc",
		sortname: "secodigo",
		autowidth: true,
		loadOnStartUp: true,
		colNames:[
			$.rup.i18n.app.sectores_grid.secodigo,
			$.rup.i18n.app.sectores_grid.sedescri,
			$.rup.i18n.app.sectores_grid.senombre
		],
		colModel:[
			{
				name: "secodigo",
				index: "secodigo",
				width: "300"
			},
			{
				name: "senombre",
				index: "senombre",
				width: "400"
			},
			{
				name:"senombre",
				index:"senombre",
				hidden:true
			}
		]
	});
}
	
	$("#y38aFiltrar").click(function(){
		$("#y38aSectoresGrid").jqGrid('GridUnload');
		initItemGrid();
	});
	
	$("#y38aCancelar").click(function(){
		cancelar();
	});
	
	$("#y38aLimpiar").click(function(){
		limpiar();
	});
	
	$("#y38aSeleccionarSector").click(function(){
		var selectedRow = $("#y38aSectoresGrid").rup_grid("getSelectedRows")[0];
		var row = $("#y38aSectoresGrid").rup_grid("getRowData", selectedRow);
		
		idsect=row.secodigo;
	    nomsect=row.senombre;
	    
	    if(idsect == "" || idsect == null){
			$("#y38aSectores_Feedback").rup_feedback("option", "delay", 800);
			$("#y38aSectores_Feedback").rup_feedback("set",$.rup.i18n.app.msg.seleccioneDatos, "alert");														   
		}else{
			var col=$("#y38aSearchSectoresGrid").getCol("secodigo");
			$("#y38aCodeSector").val(col+",");
			cargarSector(idsect,nomsect);
		}		
	});	

//function filtrar(){	
//	var query = $("#y38aSectoresForm").serialize();
//	$("#y38aSectoresGrid").rup_grid("setGridParam", {url : "/y38aAppWar/sectores/list?R01HNoPortal=true&"+ query});	
//	$("#y38aSectoresGrid").rup_grid("reloadGrid");	
//}

function cancelar(){
	$("#capaSectores").rup_dialog("close");
}
	
function limpiar(){
		$("#y38aTodos").attr('checked', false);
		$("#y38aHabituales").attr('checked', false);
		$("#y38aCodigo").val("");
		$("#y38aSeNombre").val("");
		$("#y38aSectoresGrid").rup_grid("clearGridData");
}		