/*!
 * Copyright 2011 E.J.I.E., S.A.
 *
 * Licencia con arreglo a la EUPL, Versión 1.1 exclusivamente (la «Licencia»);
 * Solo podrá usarse esta obra si se respeta la Licencia.
 * Puede obtenerse una copia de la Licencia en
 *
 *      http://ec.europa.eu/idabc/eupl.html
 *
 * Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
 * el programa distribuido con arreglo a la Licencia se distribuye «TAL CUAL»,
 * SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
 * Véase la Licencia en el idioma concreto que rige los permisos y limitaciones
 * que establece la Licencia.
 */

jQuery(document).ready(function(){

//	$("#rup_dept_logo").attr("src", $.rup.APP_STATICS + "/images/dept_logo_" + $.rup.lang + ".gif");
//	var vertical = false;
	
	//rastro de migas
	$("#y38aAppWar_migas").rup_breadCrumb({
		breadCrumb: {
				"maint":{
				"i18nCaption" : "buscador",
				"url"   : "/y38aAppWar/app/maint?R01HNoPortal=true"
			}
			
			
		}	
	});
	//idioma
	$("#y38aAppWar_language").rup_language({languages: ["es", "eu"]});
	
	establecerValorBlankCombo();
	});
/* ********************************************************************************************
 * Funcion para calcular los puntos en función del %
 * ********************************************************************************************
 */
function funcPercentage(porcentajeColumna, widthTabla){

//	var is_chrome = navigator.userAgent.toLowerCase().indexOf('chrome') > -1;
//	
//	if (is_chrome){
//		
//	}else{
	    var x = (porcentajeColumna*widthTabla)/100;
	    //console.log("Percentage:" + porcentajeColumna + " - " + widthTabla + " - " + x);
	    return x;
//	}
}
function showModalaviso(){
	
	$("#modal_aviso").rup_dialog({
		modal: true,
		autoOpen: true,
		width: "700",
		height: "400",
		title: $.rup.i18n.app.comun.Kontsumobide,
		url: "/y38aAppWar/avisolegal?R01HNoPortal=true",  
		type:$.rup.dialog.AJAX
	});		
}

function showModalprivacidad(){
		$("#modal_privacidad").rup_dialog({
			modal: true,
			autoOpen: true,
			width: "700",
			height: "400",
			title: $.rup.i18n.app.comun.Kontsumobide,
			url: "/y38aAppWar/privacidad?R01HNoPortal=true",    
			type:$.rup.dialog.AJAX
		});	
}		

function validateProperty(beanName, object, feedBack) {

	VALIDATE_MESSAGE = "";
	var t=0;
	
	for (field in object) {
		$.ajax({
				type : "GET",
				async : false,
				url : "/y38aAppWar/validate?R01HNoPortal=true&bean=" + beanName + "&property="
						+ field + "&value=" + object[field],
				dataType : "json",
				
				statusCode : {
					200 : function() {
							
					},
					406 : function(data) {
						
						var message = "";
						var response = $.parseJSON(data.responseText);
						var errors = $.parseJSON(response[1]);
						var error = null;
						
						for(name in errors) {
							
							error = errors[name];
							break;
						}
						
						for(var e=0; e<error.length; e++) {
						
							for(assertion in error[e]) {
								
								VALIDATE_MESSAGE += "<li>" + error[e][assertion] + "</li>\n";
							}
							
						}
							
						
						t++;
					}
				}
		});
			
	}
	
	if(t>0) {
		$("#" + feedBack).rup_feedback("option", "delay", null);
		$("#" + feedBack).rup_feedback("set", "<ul>" + VALIDATE_MESSAGE + "</ul>", "error");
		
		return false;
		
	} else {
		
		return true;
	}
};


/* ********************************************************************************************
 * Funcion que devuelve la letra a agregar al nombre del campo idiomatico en funcion del idioma 
 * ********************************************************************************************
 */
function recuperarLetraIdioma(){
	var letra ="";
	if ("eu"==$.rup_utils.get("language")){
		letra="e";
	}	
	return letra;
}


/* ********************************************************************************************
 * Funcion que sobreescribe el literal generico de la opcion blank_ del rup combo
 * ********************************************************************************************
 */
function establecerValorBlankCombo(){
	if ("eu"==$.rup_utils.get("language")){
		$.rup.i18n.base.rup_combo.blankNotDefined = " [Hautatu elementu bat]";
	}else{
		$.rup.i18n.base.rup_combo.blankNotDefined = " [Seleccione un elemento]";
	}	
	
}



function NumCheck(e, field) 
{ 
	key = e.keyCode ? e.keyCode : e.which;
	var miBoolean = false;
	// backspace 
	if (key == 8) {
		miBoolean = true;
	}
	// tab 
	if (key == 9) {
		miBoolean = true;
	}
	// left arrow 
	if (key == 37) {
		miBoolean = true;
	}
	// up arrow 
	if (key == 38) {
		miBoolean = true;
	}
	// right arrow 
	if (key == 39) {
		miBoolean = true;
	}
	// down arrow 
	if (key == 40) {
		miBoolean = true;
	}
	// 0-9 
	if (key > 47 && key < 58){ 
		if (field.value == ""){
			miBoolean = true;
		}else{
			miBoolean = true;//!(regexp.test(field.value)); 
		}
	} 
	//,
	if (key == 44){ 
		if (field.value == "") {
			miBoolean = false ;
		}else{
			miBoolean = true;//regexp.test(field.value); 
		}
	}
	
	return miBoolean;
}
