<%@page import="com.ejie.y38a.utils.Y38aUtils"%>
<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@page import="java.util.Locale"%>
<%@page import="org.springframework.context.i18n.LocaleContextHolder"%>
<%@page import="com.ejie.y38a.constantes.Y38aEstablecAdheConstantes"%>
<%@page import="com.ejie.y38a.utils.config.Y38aConfig"%>
<%@page import="java.util.Properties"%>

<jsp:useBean id="establec" scope="request" type="com.ejie.y38a.model.Establec" />
<jsp:useBean id="URL_BUSQUEDA_EMPRESAS" scope="request" type="java.lang.String" />
<jsp:useBean id="URL_LOGOTIPO" scope="request" type="java.lang.String" />

<%
Locale locale = LocaleContextHolder.getLocale();
String fechaAltaArbritaja = Y38aUtils.parseDateToString(establec.getEsfeadar(),locale.getLanguage());

Properties prop = Y38aConfig.loadProperties(Y38aEstablecAdheConstantes.CONFIG_PATH);

String urlLogotipoAdherido = (String) prop.getProperty("URL_LOGOTIPO");

%>
<form id="y38aDetalleDistintivoForm">
	<div id="y38aDetalleDistintivo">
		<div class="y38a-row_border">
			<div style="float:left;width: 80%;">
				<input type="hidden" id="distintivo_esnif" />
				<input type="hidden" id="y38aDetalleDistintivo_escodigo" value="<%=establec.getEscodigo()%>">
				
				<input type="hidden" id="id_URL_BUSQUEDA_EMPRESAS" class="inputUpdate"  maxlength="255" value="<%=URL_BUSQUEDA_EMPRESAS%>"/>
				<input type="hidden" id="id_URL_LOGOTIPO" class="inputUpdate"  maxlength="255" value="<%=URL_LOGOTIPO%>"/>
				
				<div class="y38a-row">
					<div class="y38a-colum40">	
						<label class="y38a-label"><spring:message code="detalle.cif"/>:</label>
						<input type="text" readonly="readonly" name="cifdistintivo" id="y38aDetalleDistintivoCif" class="y38a-input caja_texto_left" value="<%=establec.getEsnif()%>">
					</div>
	
					<div class="y38a-colum40">	
						<label class="y38a-label"><spring:message code="detalle.fechaal"/>:</label>
						<input type="text" readonly="readonly" name="esfeadar" id="y38aDetalleDistintivoFechaAl" class="y38a-input caja_texto_left" value="<%=fechaAltaArbritaja%>">
					</div>
				</div>
				
				<div class="y38a-row">
					<div class="y38a-colum80">	
						<label class="y38a-label"><spring:message code="detalle.razon"/>:</label>
						<input type="text" readonly="readonly" name="esnoco" id="y38aDetalleDistintivoRazon" class="y38a-input caja_texto_left" value="<%=establec.getEsnombre()%>">
					</div>
				</div>
				
				<div class="y38a-row">
					<div class="y38a-colum80">	
						<label class="y38a-label"><spring:message code="detalle.nombre"/>:</label>
						<input type="text" readonly="readonly" name="esnombre" id="y38aDetalleDistintivoNombre" class="y38a-input caja_texto_left" value="<%=establec.getEsnoco()%>">
					</div>
				</div>

				<div class="y38a-row">
					<div class="y38a-colum80">	
						<label class="y38a-label"><spring:message code="detalle.localizacion"/>:</label>
						<input type="hidden" name="esnodir" id="y38aDetalleDistintivoDescripcion" class="y38a-input caja_texto_left" value="<%=establec.getLocalizacion()%>">
						<input type="hidden" name="esnodir" id="y38aDetalleDistintivoCp" class="y38a-input caja_texto_left" value="<%=establec.getEsnombreCp()%>">
						
						<% 
						if ((establec.getEsextranjero()!=null && establec.getEsextranjero().equals("S"))){
						%>	
						<input type="text" readonly="readonly" id="y38aDetalleDistintivoLocalizacion" class="y38a-input caja_texto_left" 
						value='<%=establec.getEsdireccion_nocapv() + ", " + establec.getEsnoraPaisNombre() + " (" +establec.getEsnombreCp() + ")" %>'>
						<% 
						}else{
							if(establec.getEsnoraProvinciaId() !=null && (establec.getEsnoraProvinciaId().equals("20") || establec.getEsnoraProvinciaId().equals("48") || establec.getEsnoraProvinciaId().equals("01"))){
						%>
						<input type="text" readonly="readonly" id="y38aDetalleDistintivoLocalizacion" class="y38a-input caja_texto_left" 
						value='<%=((establec.getEsnombreCalle() !=null) ? establec.getEsnombreCalle() : "")
								+ " " +
								((establec.getEsnombrePortal() !=null) ? establec.getEsnombrePortal() : "")
								+ " " +	
								((establec.getEsnombrePiso() !=null) ? establec.getEsnombrePiso() : "")				
								+ " " +	
								((establec.getEsdireccion_nocapv() !=null) ? establec.getEsdireccion_nocapv() : "")	
								+ ", " +	
								((establec.getEsnombreMunicipio() !=null) ? establec.getEsnombreMunicipio() : "")
								+ ", " +	
								((establec.getEsnombreProvincia() !=null) ? establec.getEsnombreProvincia() : "")	
								+ " (" +	
								((establec.getEsnombreCp() !=null) ? establec.getEsnombreCp() : "")	
								+ ")"
								%>'>
						<%	
							}else{
						%>
						<input type="text" readonly="readonly" id="y38aDetalleDistintivoLocalizacion" class="y38a-input caja_texto_left" 
						value='<%=((establec.getEsdireccion_nocapv() !=null) ? establec.getEsdireccion_nocapv() : "")
									+ ", " +	
									((establec.getEsnombreMunicipio() !=null) ? establec.getEsnombreMunicipio() : "")	
									+ ", " +	
									((establec.getEsnombreProvincia() !=null) ? establec.getEsnombreProvincia() : "")	
									+ " (" +	
									((establec.getEsnombreCp() !=null) ? establec.getEsnombreCp() : "")
									+ ")"
								%>'>
						
						<%		
							}
						}
						%>	
					</div>
				</div>				
				
				<div id="y38aDetalleDistintivoTelefonoVersionMovil" class="y38a-row y38a-ocultoMovil">
					<div class="y38a-colum40">	
						<label class="y38a-label"><spring:message code="detalle.telefono"/>:</label>
						<a href="tel:+34<%=establec.getEsnrtel()%>" id="y38aDetalleDistintivoTelefonoLink">
							<input type="text" readonly="readonly" name="esnrtel" id="y38aDetalleDistintivoTelefono" class="y38a-input url_left" value="<%=establec.getEsnrtel()%>">
						</a>							
					</div>
	
					<div class="y38a-colum40">	
						<label class="y38a-label"><spring:message code="detalle.fax"/>:</label>
						<input type="text" readonly="readonly" name="esnrfax" id="y38aDetalleDistintivoFax" class="y38a-input caja_texto_left" value="<%=establec.getEsnrfax()%>">
					</div>
				</div>
				
				<div id="y38aDetalleDistintivoTelefonoVersionWeb" class="y38a-row y38a-ocultoWeb">
					<div class="y38a-colum40">	
						<label class="y38a-label"><spring:message code="detalle.telefono"/>:</label>
						<input type="text" readonly="readonly" name="esnrtel" id="y38aDetalleDistintivoTelefono" class="y38a-input caja_texto_left" value="<%=establec.getEsnrtel()%>">
					</div>
	
					<div class="y38a-colum40">	
						<label class="y38a-label"><spring:message code="detalle.fax"/>:</label>
						<input type="text" readonly="readonly" name="esnrfax" id="y38aDetalleDistintivoFax" class="y38a-input caja_texto_left" value="<%=establec.getEsnrfax()%>">
					</div>
				</div>
				
				<div class="y38a-row">
					<div class="y38a-colum80">	
						<label class="y38a-label"><spring:message code="detalle.mail"/>:</label>
						<a href="mailto:<%=establec.getEscoem()%>" id="y38aDetalleDistintivoMailLink" target="_blank">
							<input type="text" readonly="readonly" name="dtteemr" id="y38aDetalleDistintivoMail" class="y38a-input url_left" value="<%=establec.getEscoem()%>">
						</a>
					</div>
				</div>
	
				<div class="y38a-row">
					<div class="y38a-colum80">	
						<label class="y38a-label"><spring:message code="detalle.web"/>:</label>
						<a href="<%=establec.getEsteurl()%>" id="y38aDetalleDistintivoWebLink" target="_blank">	
							<input type="text" readonly="readonly" name="esteurl" id="y38aDetalleDistintivoWeb" class="y38a-input url_left" value="<%=establec.getEsteurl()%>">
						</a>
					</div>
				</div>

				<div class="y38a-row">
					<div class="y38a-colum80">	
						<label class="y38a-label"><spring:message code="comun.numregistroadhesion"/>:</label>
						<input type="text" readonly="readonly" name="numregadhesion" id="y38aDetalleNumRegAdhesion" class="y38a-input caja_texto_left" value="<%=establec.getAhnrdi()%>">
					</div>
				</div>

				<div class="y38a-row">
					<div class="y38a-colum80">	
						<label class="y38a-label"><spring:message code="detalle.limitaciones"/>:</label>
						<textarea readonly="readonly" rows="8" name="esteco" id="y38aDetalleDistintivoLimitaciones" style="resize:none;width: 100%;"><%=establec.getLimitaciones()%></textarea>
					</div>
				</div>
			</div>
					
			<% if (establec!=null && establec.getEnArbitraje()!=null && establec.getEnArbitraje()==true){%>		
				<div id="y38aDetalleDistintivoLogoTipoAdherido" style="float:left;width: 20%;">
					<div>
						<img src="<%=urlLogotipoAdherido%>" border="0" style="width:75px;height:100px">
					</div>
				</div>
			<%}%>
		</div>
					
		<div class="y38a-row-botones">
			<input type="button"  id="y38aDistintivoSolicitar" class="ui-button ui-widget ui-state-default ui-corner-all right_buttons"  value="<spring:message code="comun.distintivo.solicitar"/>">
			<input type="button" id="y38aDistintivoMail" class="ui-button ui-widget ui-state-default ui-corner-all right_buttons" value="<spring:message code="comun.distintivo.enviar"/>">
		</div>
		<div class="y38a-row-botones_left">
			
			<!--<spring:message code="search.eti1"/><a class="enlaces" href="mailto:junta-arbitral@kontsumobide.eus"><spring:message code="search.email"/> </a><br>-->
			<spring:message code="search.eti2"/><a class="enlaces" href="mailto:junta-arbitral@kontsumobide.eus" target="_blank"><spring:message code="search.email"/></a>
		</div>
	</div>
</form>

