<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@page import="java.util.Locale"%>
<%@page import="org.springframework.context.i18n.LocaleContextHolder"%>
<%@page import="com.ejie.y38a.utils.Y38aUtils"%>
<%@page import="com.ejie.y38a.constantes.Y38aEstablecAdheConstantes"%>
<%@page import="com.ejie.y38a.utils.config.Y38aConfig"%>
<%@page import="java.util.Properties"%>

<jsp:useBean id="establec" scope="request" type="com.ejie.y38a.model.Establec" />
<%
Locale locale = LocaleContextHolder.getLocale();
String fechaAltaArbritaja = Y38aUtils.parseDateToString(establec.getEsfeadar(),locale.getLanguage());

Properties prop = Y38aConfig.loadProperties(Y38aEstablecAdheConstantes.CONFIG_PATH);

String urlLogotipoAdherido = (String) prop.getProperty("URL_LOGOTIPO");
%>


<form id="y38aDetalleDistintivoMailForm">
	<div id="y38aDetalleDistintivoMail" class="y38a-fontFicha">
	
		<div class="y38a-row_border">
			<div style="float:left;width: 80%;">
					<input type="hidden" id="distintivoMail_esnif" />
					<div class="y38a-row">
						 <div class="y38a-colum50">
						 	<div class="y38a-colum40">
								<spring:message code="detalle.cif"/>:
							</div>
							<div class="y38a-colum40">	
								<input type="text" readonly="readonly" name="cifdistintivoMail" id="y38aDetalleDistintivoMailCif" size="60" class="caja_texto_left" value="<%=establec.getEsnif()%>">
							</div>	
						</div>
						<div class="y38a-colum50">	
							<div class="y38a-colum60">
								<spring:message code="detalle.fechaal"/>:
							</div>
							<div class="y38a-colum40">		
								<input type="text" readonly="readonly" name="esfeadarMail" id="y38aDetalleDistintivoMailFechaAl" size="12" class="caja_texto_left" value="<%=fechaAltaArbritaja%>">
							</div>	
						</div>		
					</div>
					<div class="y38a-row">
						<div class="y38a-colum20">
								<spring:message code="detalle.nombre"/>:
						</div>
						<div class="y38a-colum70">			
								<input type="text" readonly="readonly" name="esnombreMail" id="y38aDetalleDistintivoMailNombre" size="50" class="caja_texto_left" value="<%=establec.getEsnombre()%>">
						</div> 
					</div>
					<div class="y38a-row">	
							<div class="y38a-colum20">	
								<spring:message code="detalle.razon"/>:
							</div>
							<div class="y38a-colum70">	
								<input type="text" readonly="readonly" name="esnocoMail" id="y38aDetalleDistintivoMailRazon" size="50"  class="caja_texto_left" value="<%=establec.getEsnoco()%>">
							</div>
					</div>
					<div class="y38a-row">	
						<div class="y38a-colum20">
								<spring:message code="detalle.localizacion"/>:
						</div>
						<div class="y38a-colum70">			
								<input type="text" readonly="readonly" name="esnodirMail" id="y38aDetalleDistintivoMailDescripcion" size="50"class="caja_texto_left" value="<%=establec.getEsnodir()%>"><br><br>
								<input type="text" readonly="readonly" name="esnodirMail" id="y38aDetalleDistintivoMailCp" size="75" class="caja_texto_left" value="<%=establec.getEsnrcopo()%>"><br><br>
								<input type="text" readonly="readonly" name="esnoloMail" id="y38aDetalleDistintivoMailLocalizacion" size="80" class="caja_texto_left" value="<%=establec.getLocalizacion()%>"><br><br>
						</div>
					</div>
					<div class="y38a-row">		
					 	<div class="y38a-colum50">
					 		<div class="y38a-colum40">
							 	<spring:message code="detalle.telefono"/>:
							 </div>
							 <div class="y38a-colum60">		
								<input type="text" readonly="readonly" name="esnrtelMail" id="y38aDetalleDistintivoMailTelefono" size="9"class="caja_texto_left" value="<%=establec.getEsnrtel()%>">
							</div>
						</div>
						<div class="y38a-colum50">	
							<div class="y38a-colum20">
								<spring:message code="detalle.fax"/>:
							</div>
							<div class="y38a-colum70">			
								<input type="text" readonly="readonly" name="esnrfaxMail" id="y38aDetalleDistintivoMailFax" size="9"class="caja_texto_left" value="<%=establec.getEsnrfax()%>">
							</div>	
						</div>	
					</div>		
					<div class="y38a-row">		
						<div class="y38a-colum50">
							<div class="y38a-colum40">
							 	<spring:message code="detalle.mail"/>:
							</div>
							<div class="y38a-colum60">	 		
								<input type="text" readonly="readonly" name="dtteemrMail" id="y38aDetalleDistintivoMailMail" size="25" class="url_left" value="<%=establec.getEscoem()%>">
							</div>	
						</div>
						<div class="y38a-colum50">	  
							<div class="y38a-colum30">
							  	<spring:message code="detalle.web"/>:
							 </div>
							 <div class="y38a-colum70">	 		
								<input type="text" readonly="readonly" name="esteurlMail" id="y38aDetalleDistintivoMailWeb" size="25" class="url" value="<%=establec.getEsteurl()%>">
							</div>	
						</div>
					</div>
					<div class="y38a-row">	
							 <spring:message code="detalle.limitaciones"/>:
					</div>
					<div class="y38a-row">	
							<textarea readonly="readonly" rows="8" cols="99" name="estecoMail" id="y38aDetalleDistintivoMailLimitaciones"></textarea>
					</div>		
							<input type="hidden" readonly="readonly" name="hidde" id="y38aDetalleDistintivoHiddeMail" class="caja_texto_left" value="<%=establec.getLimitaciones()%>">
			</div>
			<% if (establec!=null && establec.getEnArbitraje()!=null && establec.getEnArbitraje()==true){%>		
				<div id="y38aDetalleDistintivoLogoTipoAdherido" style="float:left;width: 20%;">
					<div>
						<img src="<%=urlLogotipoAdherido%>" border="0" style="width:75px;height:100px">
					</div>
				</div>
			<%}%>
		</div>	
	
</div>
			
</form>

