<%@include file="/WEB-INF/includeTemplate.inc"%>
<jsp:useBean id="statics_path" scope="request" type="java.lang.String" />


<form id="searchForm" enctype="text/plain" >

	<div id="y38aSearch" class="y38a-row_border">
		<!--Este textarea contiene los id relativos a los sectores que se van seleccionando -->
		<!--<input type="text"  name="codsector" id="y38aCodeSector" />-->
		<input type="text"  name="codsector" id="y38aCodeSector" style="visibility:hidden; display:none;"/>
	
		<div class="y38a-row">
			<div class="y38a-colum50">
				<label class="y38a-label"><spring:message code="detalle.cif"/>:</label>
				<input type="text" name="esnif" id="y38aCif" class="y38a-input">
			</div>
		
			<div class="y38a-colum50">
				<label class="y38a-label"><spring:message code="comun.numregistroadhesion"/>:</label>
				<input type="text" name="numregadhesion" id="y38aNumRegAdhesion" maxlength="10" class="y38a-input" onkeypress="return NumCheck(event,this)"/>
			</div>
		</div>
				
		<div class="y38a-row">
			<div class="y38a-colum100">
				<label class="y38a-label"><spring:message code="search.nombre"/></label>
				<input type="text" name="esnombre" id="y38aNombre" class="y38a-input">
			</div>	
		</div>
		
		<input type="hidden" id="idStaticsPath" class="inputUpdate"  maxlength="255" value="<%=statics_path%>"/>
		
		<div class="y38a-row">
			<label class="y38a-label-titulo"><spring:message code="search.rango" />:</label>
			<div class="y38a-colum">
				<input type="checkbox" name="esinadar" id="y38aChek1" checked>
				<label class="y38a-label_radios" for="y38aChek1"><spring:message code="search.empadh"/></label>
			</div>
			<div class="y38a-colum">
				<input type="checkbox" name="esnopeco" id="y38aChek2">
				<label class="y38a-label_radios" for="y38aChek2"><spring:message code="search.empNadh"/></label>
			</div>					
		</div>
		
		<!-- INICIO residencia / estado NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW -->
		
		<div class="y38a-row">
			<label class="y38a-label-titulo"><spring:message code="comun.residencia"/>:</label>
			<div class="y38a-colum100">
				<input type="radio" style="cursor: pointer;" id="y38aSearch_Todos" name="esextranjero" value="T"/><label class="y38a-label_radios"><spring:message code="nora.todos"/></label>
				<input type="radio" style="cursor: pointer;" id="y38aSearch_Estado" name="esextranjero" value="E"/><label class="y38a-label_radios"><spring:message code="nora.estado"/></label>
				<input type="radio" style="cursor: pointer;" id="y38aSearch_Extranjero" name="esextranjero" value="X"/><label class="y38a-label_radios"><spring:message code="nora.extranjero"/></label>
			</div>
		</div>
		
		
		<div id="y38Search_ResidenciaExtranjeroNo" class="y38a-row">
			<div class="y38a-colum30">
					<label class="y38a-label"><spring:message code="nora.provincia"/>:</label>
					<select class="rup-combo" id="y38aSearch_ComboProvincia" name="esnoraProvinciaId"></select>
			</div>
			<div class="y38a-colum30" >
					<label class="y38a-label"><spring:message code="nora.municipio"/>:</label>
					<select class="rup-combo" id="y38aSearch_ComboMunicipio" name="esnoraMunicipioId"></select>
			</div>
			<div class="y38a-colum30" >
					<label class="y38a-label"><spring:message code="nora.localidad"/>:</label>
					<select class="rup-combo" id="y38aSearch_ComboLocalidad" name="esnoraLocalidadId"></select>
			</div>
		</div>
		
		<div id="y38Search_ResidenciaExtranjeroSi" class="y38a-row">
			<div class="y38a-colum30" >
				<label class="y38a-label"><spring:message code="nora.pais"/>:</label>
				<select class="rup-combo" id="y38aSearch_ComboPais" name="esnoraPaisId"></select>
			</div>
		</div>
	
		<!-- FIN residencia / estado NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW -->
	</div>	

	<div class="y38a-row">
		<label class="y38a-label-titulo"><spring:message code="search.sector" />:</label>
		<div class="y38a-colum80" id="y38aSectFiltroTabla"> 
			<table id="y38aSearch_SectoresAgrupadosGrid" cellpadding="0" cellspacing="0">
					<tbody><tr><td>&nbsp;</td></tr></tbody>
			</table>
		</div>
		<div class="y38a-colum20">
			<input type="button" name="seleccionar" id="y38aSeleccionar" value="<spring:message code="comun.seleccionar"/>" class="ui-button ui-widget ui-state-default ui-corner-all right_buttons2">
			<input type="button" name="eliminar" id="y38aEliminar" value="<spring:message code="comun.eliminar"/>" class="ui-button ui-widget ui-state-default ui-corner-all right_buttons2">	
		</div>
	</div>

	<div  class="y38a-row-botones">
		<input type="button" id="y38aBuscar" class="ui-button ui-widget ui-state-default ui-corner-all right_buttons" value="<spring:message code="comun.buscar"/>">	
		<input type="button"  id="y38aLimpiarSearch" class="limp_link"  value="<spring:message code="comun.limpiar"/>">
	</div>
	
	<div  class="y38a-row-botones_left">
		<spring:message code="search.eti2"/><a class="enlaces" href="mailto:junta-arbitral@kontsumobide.eus" target="_blank"><spring:message code="search.email"/></a><br>
	</div>
</form>	

