package com.ejie.y38a.constantes;

/**
 * 
 *  
 * 
 */
public class Y38aEstablecAdheConstantes {

	/**
	 * Constantes
	 */
	private Y38aEstablecAdheConstantes() {

	}

	// Numeros mágicos
	/** NUM_0x7F. */
	public static final int NUM_0x7F = 0x7F;
	/** NUM_0. */
	public static final int NUM_0 = 0;
	/** NUM_1. */
	public static final int NUM_1 = 1;
	/** NUM_2. */
	public static final int NUM_2 = 2;
	/** NUM_3. */
	public static final int NUM_3 = 3;
	/** NUM_4. */
	public static final int NUM_4 = 4;
	/** NUM_5. */
	public static final int NUM_5 = 5;
	/** NUM_6. */
	public static final int NUM_6 = 6;
	/** NUM_7. */
	public static final int NUM_7 = 7;
	/** NUM_8. */
	public static final int NUM_8 = 8;
	/** NUM_10. */
	public static final int NUM_10 = 10;
	/** NUM_12. */
	public static final int NUM_12 = 12;
	/** NUM_16. */
	public static final int NUM_16 = 16;
	/** NUM_40. */
	public static final int NUM_40 = 40;
	/** NUM_128. */
	public static final int NUM_128 = 128;
	/** NUM_200. */
	public static final int NUM_200 = 200;
	/** NUM_255. */
	public static final int NUM_255 = 255;
	/** NUM_300. */
	public static final int NUM_300 = 300;
	/** NUM_1024. */
	public static final int NUM_1024 = 1024;
	/** NUM_3000. */
	public static final int NUM_3000 = 3000;
	/** NUM_4000. */
	public static final int NUM_4000 = 4000;

	/** ON. */
	public static final String ON = "on";
	/** SI. */
	public static final String SI = "S";
	/** NO. */
	public static final String NO = "N";

	/** CERO. */
	public static final String CERO = "0";
	/** VACIO. */
	public static final String VACIO = "";

	/** NOMBRE_APLICACION. */
	public static final String NOMBRE_APLICACION = "Y38A";
	/** ID_SISTEMA. */
	public static final String ID_SISTEMA = "";
	/** CONFIG_PATH. */
	public static final String CONFIG_PATH = "/y38a/y38a.properties";

	/** ACTIVAR_CORREO. */
	public static final String ACTIVAR_CORREO = "activar_correo";
	/** RESPONSE_OK. */
	public static final String RESPONSE_OK = "OK";
	/** RESPONSE_ERROR. */
	public static final String RESPONSE_ERROR = "ERROR";
	/** UNO. */
	public static final String UNO = "1";
	/**
	 * Código de idioma castellano.
	 */
	public static final String CASTELLANO = "es";
	/**
	 * Código de idioma euskera.
	 */
	public static final String EUSKERA = "eu";
	/**
	 * FORMATO FECHAS
	 */
	public static final String FORMATO_FECHA_ES = "dd/MM/yyyy";
	public static final String FORMATO_FECHA_EU = "yyyy/MM/dd";

	/**
	 * PROVINCIAS
	 */
	public static final String ALAVA = "01";
	public static final String BIZKAIA = "48";
	public static final String GIPUZKOA = "20";
	public static final String OTRAS = "0";

	/*
	 * LOCALIZACION
	 */
	public static final String NORA_LOCALIZACION_TODOS = "T";
	public static final String NORA_LOCALIZACION_ESTADO = "E";
	public static final String NORA_LOCALIZACION_EXTRANJERO = "X";

}
