package com.ejie.y38a.model;


import com.ejie.x38.control.JsonDateDeserializer;
import com.ejie.x38.control.JsonDateSerializer;
import java.util.Date;
import org.codehaus.jackson.annotate.JsonIgnore;
import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

/**
 *  * Adheesta  
 *  
 */

public class Adheesta  implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
    //Clave compuesta
            private String ahcodigo;
            private Establec establec;
            private Sectores sectores;
            private Integer ahcoex;
            private Integer ahnrdi;
            private Date ahfecodi;
            private Date ahfeba;
            private String ahcotag;
            private String ahcot2;
            private String ahcoav;
            private String ahcosede;
            private Date ahfepucd;
            private Date ahfepuba;
            private String ahcocc;
            private String ahnirep;
            private String ahnorep;
            private String ahnoap1r;
            private String ahnoap2r;
            private String ahnocare;
            private Date ahfere;
            private String ahtelimi;
            private String ahinamna;
            private String ahcoja;
            private String ahcozs;
            private String ahcojaad;

	/** Method 'Adheesta'.
	*
	*/
    public Adheesta() {
    }
   /** Method 'Adheesta'.
   * @param ahcodigo String
   * @param establec Establec
   * @param ahcoex Integer
   * @param ahnrdi Integer
   * @param ahfecodi Date
   * @param ahfeba Date
   * @param ahcotag String
   * @param ahcot2 String
   * @param ahcoav String
   * @param ahcosede String
   * @param ahfepucd Date
   * @param ahfepuba Date
   * @param ahcocc String
   * @param ahnirep String
   * @param ahnorep String
   * @param ahnoap1r String
   * @param ahnoap2r String
   * @param ahnocare String
   * @param ahfere Date
   * @param ahtelimi String
   * @param ahinamna String
   * @param ahcoja String
   * @param ahcozs String
   * @param ahcojaad String
   * @param sectores Sectores
   */
   public Adheesta(String ahcodigo, Establec establec, Integer ahcoex, Integer ahnrdi, Date ahfecodi, Date ahfeba, String ahcotag, String ahcot2, String ahcoav, String ahcosede, Date ahfepucd, Date ahfepuba, String ahcocc, String ahnirep, String ahnorep, String ahnoap1r, String ahnoap2r, String ahnocare, Date ahfere, String ahtelimi, String ahinamna, String ahcoja, String ahcozs, String ahcojaad , Sectores sectores ) {

           this.ahcodigo = ahcodigo;		
           this.establec = establec;		
           this.sectores = sectores;
           this.ahcoex = ahcoex;
           this.ahnrdi = ahnrdi;
           this.ahfecodi = ahfecodi;
           this.ahfeba = ahfeba;
           this.ahcotag = ahcotag;
           this.ahcot2 = ahcot2;
           this.ahcoav = ahcoav;
           this.ahcosede = ahcosede;
           this.ahfepucd = ahfepucd;
           this.ahfepuba = ahfepuba;
           this.ahcocc = ahcocc;
           this.ahnirep = ahnirep;
           this.ahnorep = ahnorep;
           this.ahnoap1r = ahnoap1r;
           this.ahnoap2r = ahnoap2r;
           this.ahnocare = ahnocare;
           this.ahfere = ahfere;
           this.ahtelimi = ahtelimi;
           this.ahinamna = ahinamna;
           this.ahcoja = ahcoja;
           this.ahcozs = ahcozs;
           this.ahcojaad = ahcojaad;
    }

	/**
     * Method 'getAhcodigo'.
     *
     * @return String
     */
	
	
	public String getAhcodigo() {
		return this.ahcodigo;
	}
	
	/**
	 * Method 'setAhcodigo'.
	 *
	 * @param ahcodigo String
	 * @return
	 */
	
	public void setAhcodigo(String ahcodigo) {
		this.ahcodigo = ahcodigo;
	}
	/**
     * Method 'getEstablec'.
     *
     * @return Establec
     */
	@JsonIgnore
	
	public Establec getEstablec() {
		return this.establec;
	}
	
	/**
	 * Method 'setEstablec'.
	 *
	 * @param establec Establec
	 * @return
	 */
	
	public void setEstablec(Establec establec) {
		this.establec = establec;
	}
    /**
	 * Method 'getSectores'.
	 *
	 * @return Sectores
	 */
	@JsonIgnore
	
	public Sectores getSectores() {
		return this.sectores;
	}

	/**
	 * Method 'setSectores'.
	 *
	 * @param sectores Sectores
	 * @return
     */
	
	public void setSectores(Sectores sectores) {
		this.sectores = sectores;
	}
    /**
	 * Method 'getAhcoex'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getAhcoex() {
		return this.ahcoex;
	}

	/**
	 * Method 'setAhcoex'.
	 *
	 * @param ahcoex Integer
	 * @return
     */
	
	public void setAhcoex(Integer ahcoex) {
		this.ahcoex = ahcoex;
	}
    /**
	 * Method 'getAhnrdi'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getAhnrdi() {
		return this.ahnrdi;
	}

	/**
	 * Method 'setAhnrdi'.
	 *
	 * @param ahnrdi Integer
	 * @return
     */
	
	public void setAhnrdi(Integer ahnrdi) {
		this.ahnrdi = ahnrdi;
	}
    /**
	 * Method 'getAhfecodi'.
	 *
	 * @return Date
	 */
	
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getAhfecodi() {
		return this.ahfecodi;
	}

	/**
	 * Method 'setAhfecodi'.
	 *
	 * @param ahfecodi Date
	 * @return
     */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setAhfecodi(Date ahfecodi) {
		this.ahfecodi = ahfecodi;
	}
    /**
	 * Method 'getAhfeba'.
	 *
	 * @return Date
	 */
	
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getAhfeba() {
		return this.ahfeba;
	}

	/**
	 * Method 'setAhfeba'.
	 *
	 * @param ahfeba Date
	 * @return
     */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setAhfeba(Date ahfeba) {
		this.ahfeba = ahfeba;
	}
    /**
	 * Method 'getAhcotag'.
	 *
	 * @return String
	 */
	
	
	public String getAhcotag() {
		return this.ahcotag;
	}

	/**
	 * Method 'setAhcotag'.
	 *
	 * @param ahcotag String
	 * @return
     */
	
	public void setAhcotag(String ahcotag) {
		this.ahcotag = ahcotag;
	}
    /**
	 * Method 'getAhcot2'.
	 *
	 * @return String
	 */
	
	
	public String getAhcot2() {
		return this.ahcot2;
	}

	/**
	 * Method 'setAhcot2'.
	 *
	 * @param ahcot2 String
	 * @return
     */
	
	public void setAhcot2(String ahcot2) {
		this.ahcot2 = ahcot2;
	}
    /**
	 * Method 'getAhcoav'.
	 *
	 * @return String
	 */
	
	
	public String getAhcoav() {
		return this.ahcoav;
	}

	/**
	 * Method 'setAhcoav'.
	 *
	 * @param ahcoav String
	 * @return
     */
	
	public void setAhcoav(String ahcoav) {
		this.ahcoav = ahcoav;
	}
    /**
	 * Method 'getAhcosede'.
	 *
	 * @return String
	 */
	
	
	public String getAhcosede() {
		return this.ahcosede;
	}

	/**
	 * Method 'setAhcosede'.
	 *
	 * @param ahcosede String
	 * @return
     */
	
	public void setAhcosede(String ahcosede) {
		this.ahcosede = ahcosede;
	}
    /**
	 * Method 'getAhfepucd'.
	 *
	 * @return Date
	 */
	
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getAhfepucd() {
		return this.ahfepucd;
	}

	/**
	 * Method 'setAhfepucd'.
	 *
	 * @param ahfepucd Date
	 * @return
     */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setAhfepucd(Date ahfepucd) {
		this.ahfepucd = ahfepucd;
	}
    /**
	 * Method 'getAhfepuba'.
	 *
	 * @return Date
	 */
	
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getAhfepuba() {
		return this.ahfepuba;
	}

	/**
	 * Method 'setAhfepuba'.
	 *
	 * @param ahfepuba Date
	 * @return
     */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setAhfepuba(Date ahfepuba) {
		this.ahfepuba = ahfepuba;
	}
    /**
	 * Method 'getAhcocc'.
	 *
	 * @return String
	 */
	
	
	public String getAhcocc() {
		return this.ahcocc;
	}

	/**
	 * Method 'setAhcocc'.
	 *
	 * @param ahcocc String
	 * @return
     */
	
	public void setAhcocc(String ahcocc) {
		this.ahcocc = ahcocc;
	}
    /**
	 * Method 'getAhnirep'.
	 *
	 * @return String
	 */
	
	
	public String getAhnirep() {
		return this.ahnirep;
	}

	/**
	 * Method 'setAhnirep'.
	 *
	 * @param ahnirep String
	 * @return
     */
	
	public void setAhnirep(String ahnirep) {
		this.ahnirep = ahnirep;
	}
    /**
	 * Method 'getAhnorep'.
	 *
	 * @return String
	 */
	
	
	public String getAhnorep() {
		return this.ahnorep;
	}

	/**
	 * Method 'setAhnorep'.
	 *
	 * @param ahnorep String
	 * @return
     */
	
	public void setAhnorep(String ahnorep) {
		this.ahnorep = ahnorep;
	}
    /**
	 * Method 'getAhnoap1r'.
	 *
	 * @return String
	 */
	
	
	public String getAhnoap1r() {
		return this.ahnoap1r;
	}

	/**
	 * Method 'setAhnoap1r'.
	 *
	 * @param ahnoap1r String
	 * @return
     */
	
	public void setAhnoap1r(String ahnoap1r) {
		this.ahnoap1r = ahnoap1r;
	}
    /**
	 * Method 'getAhnoap2r'.
	 *
	 * @return String
	 */
	
	
	public String getAhnoap2r() {
		return this.ahnoap2r;
	}

	/**
	 * Method 'setAhnoap2r'.
	 *
	 * @param ahnoap2r String
	 * @return
     */
	
	public void setAhnoap2r(String ahnoap2r) {
		this.ahnoap2r = ahnoap2r;
	}
    /**
	 * Method 'getAhnocare'.
	 *
	 * @return String
	 */
	
	
	public String getAhnocare() {
		return this.ahnocare;
	}

	/**
	 * Method 'setAhnocare'.
	 *
	 * @param ahnocare String
	 * @return
     */
	
	public void setAhnocare(String ahnocare) {
		this.ahnocare = ahnocare;
	}
    /**
	 * Method 'getAhfere'.
	 *
	 * @return Date
	 */
	
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getAhfere() {
		return this.ahfere;
	}

	/**
	 * Method 'setAhfere'.
	 *
	 * @param ahfere Date
	 * @return
     */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setAhfere(Date ahfere) {
		this.ahfere = ahfere;
	}
    /**
	 * Method 'getAhtelimi'.
	 *
	 * @return String
	 */
	
	
	public String getAhtelimi() {
		return this.ahtelimi;
	}

	/**
	 * Method 'setAhtelimi'.
	 *
	 * @param ahtelimi String
	 * @return
     */
	
	public void setAhtelimi(String ahtelimi) {
		this.ahtelimi = ahtelimi;
	}
    /**
	 * Method 'getAhinamna'.
	 *
	 * @return String
	 */
	
	
	public String getAhinamna() {
		return this.ahinamna;
	}

	/**
	 * Method 'setAhinamna'.
	 *
	 * @param ahinamna String
	 * @return
     */
	
	public void setAhinamna(String ahinamna) {
		this.ahinamna = ahinamna;
	}
    /**
	 * Method 'getAhcoja'.
	 *
	 * @return String
	 */
	
	
	public String getAhcoja() {
		return this.ahcoja;
	}

	/**
	 * Method 'setAhcoja'.
	 *
	 * @param ahcoja String
	 * @return
     */
	
	public void setAhcoja(String ahcoja) {
		this.ahcoja = ahcoja;
	}
    /**
	 * Method 'getAhcozs'.
	 *
	 * @return String
	 */
	
	
	public String getAhcozs() {
		return this.ahcozs;
	}

	/**
	 * Method 'setAhcozs'.
	 *
	 * @param ahcozs String
	 * @return
     */
	
	public void setAhcozs(String ahcozs) {
		this.ahcozs = ahcozs;
	}
    /**
	 * Method 'getAhcojaad'.
	 *
	 * @return String
	 */
	
	
	public String getAhcojaad() {
		return this.ahcojaad;
	}

	/**
	 * Method 'setAhcojaad'.
	 *
	 * @param ahcojaad String
	 * @return
     */
	
	public void setAhcojaad(String ahcojaad) {
		this.ahcojaad = ahcojaad;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { " ); 
		//Clave compuesta

		result.append("[ ahcodigo: ").append(this.ahcodigo).append(" ]");

		result.append(", [ establec: ").append(this.establec).append(" ]");
		result.append(", [ ahcoex: ").append(this.ahcoex).append(" ]");
		result.append(", [ ahnrdi: ").append(this.ahnrdi).append(" ]");
		result.append(", [ ahfecodi: ").append(this.ahfecodi).append(" ]");
		result.append(", [ ahfeba: ").append(this.ahfeba).append(" ]");
		result.append(", [ ahcotag: ").append(this.ahcotag).append(" ]");
		result.append(", [ ahcot2: ").append(this.ahcot2).append(" ]");
		result.append(", [ ahcoav: ").append(this.ahcoav).append(" ]");
		result.append(", [ ahcosede: ").append(this.ahcosede).append(" ]");
		result.append(", [ ahfepucd: ").append(this.ahfepucd).append(" ]");
		result.append(", [ ahfepuba: ").append(this.ahfepuba).append(" ]");
		result.append(", [ ahcocc: ").append(this.ahcocc).append(" ]");
		result.append(", [ ahnirep: ").append(this.ahnirep).append(" ]");
		result.append(", [ ahnorep: ").append(this.ahnorep).append(" ]");
		result.append(", [ ahnoap1r: ").append(this.ahnoap1r).append(" ]");
		result.append(", [ ahnoap2r: ").append(this.ahnoap2r).append(" ]");
		result.append(", [ ahnocare: ").append(this.ahnocare).append(" ]");
		result.append(", [ ahfere: ").append(this.ahfere).append(" ]");
		result.append(", [ ahtelimi: ").append(this.ahtelimi).append(" ]");
		result.append(", [ ahinamna: ").append(this.ahinamna).append(" ]");
		result.append(", [ ahcoja: ").append(this.ahcoja).append(" ]");
		result.append(", [ ahcozs: ").append(this.ahcozs).append(" ]");
		result.append(", [ ahcojaad: ").append(this.ahcojaad).append(" ]");
		result.append("}");
		return result.toString();
	}


}

