package com.ejie.y38a.model;

import java.sql.Blob;

import org.codehaus.jackson.annotate.JsonIgnore;

/**
 * * Adjunto  
 * 
 *  
 */

public class Adjunto implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	// Clave compuesta
	private String adjuntoId;
	private Envio envio;
	private String nombre;
	private Blob adjunto;
	private String contentType;

	/**
	 * Method 'Adjunto'.
	 * 
	 */
	public Adjunto() {
	}

	/**
	 * Method 'Adjunto'.
	 * 
	 * @param adjuntoId
	 *            String
	 * @param envio
	 *            Envio
	 * @param nombre
	 *            String
	 * @param adjunto
	 *            Blob
	 * @param contentType
	 *            String
	 */
	public Adjunto(String adjuntoId, Envio envio, String nombre, Blob adjunto,
			String contentType) {

		this.adjuntoId = adjuntoId;
		this.envio = envio;
		this.nombre = nombre;
		this.adjunto = adjunto;
		this.contentType = contentType;
	}

	/**
	 * Method 'getAdjuntoId'.
	 * 
	 * @return String
	 */

	public String getAdjuntoId() {
		return this.adjuntoId;
	}

	/**
	 * Method 'setAdjuntoId'.
	 * 
	 * @param adjuntoId
	 *            String
	 * @return
	 */

	public void setAdjuntoId(String adjuntoId) {
		this.adjuntoId = adjuntoId;
	}

	/**
	 * Method 'getEnvio'.
	 * 
	 * @return Envio
	 */
	@JsonIgnore()
	public Envio getEnvio() {
		return this.envio;
	}

	/**
	 * Method 'setEnvio'.
	 * 
	 * @param envio
	 *            Envio
	 * @return
	 */

	public void setEnvio(Envio envio) {
		this.envio = envio;
	}

	/**
	 * Method 'getNombre'.
	 * 
	 * @return String
	 */

	public String getNombre() {
		return this.nombre;
	}

	/**
	 * Method 'setNombre'.
	 * 
	 * @param nombre
	 *            String
	 * @return
	 */

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	/**
	 * Method 'getAdjunto'.
	 * 
	 * @return Blob
	 */
	@JsonIgnore()
	public Blob getAdjunto() {
		return this.adjunto;
	}

	/**
	 * Method 'setAdjunto'.
	 * 
	 * @param adjunto
	 *            Blob
	 * @return
	 */

	public void setAdjunto(Blob adjunto) {
		this.adjunto = adjunto;
	}

	/**
	 * Method 'getContentType'.
	 * 
	 * @return String
	 */

	public String getContentType() {
		return this.contentType;
	}

	/**
	 * Method 'setContentType'.
	 * 
	 * @param contentType
	 *            String
	 * @return
	 */

	public void setContentType(String contentType) {
		this.contentType = contentType;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override()
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		// Clave compuesta

		result.append("[ adjuntoId: ").append(this.adjuntoId).append(" ]");

		result.append(", [ envio: ").append(this.envio).append(" ]");
		result.append(", [ nombre: ").append(this.nombre).append(" ]");
		result.append(", [ contentType: ").append(this.contentType)
				.append(" ]");
		result.append("}");
		return result.toString();
	}

}
