package com.ejie.y38a.model;


import java.util.ArrayList;
import java.util.List;
import org.codehaus.jackson.annotate.JsonIgnore;

/**
 *  * Secagrup  
 *  
 */

public class Secagrup  implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
            private String l0codigo;
            private String l0nombre;
            private String l0nombree;
            private String l0nombrei;
            private String l0nombref;
            private List<Sectores> sectoresesForSecol0 = new ArrayList<Sectores>();
            private List<Sectores> sectoresesForSecodgrupo = new ArrayList<Sectores>();

	/** Method 'Secagrup'.
	*
	*/
    public Secagrup() {
    }
    /** Method 'Secagrup'.
    * @param l0codigo String
    * @param l0nombre String
    * @param l0nombree String
    * @param l0nombrei String
    * @param l0nombref String
    */
    public Secagrup(String l0codigo, String l0nombre, String l0nombree, String l0nombrei, String l0nombref ) {	
        this.l0codigo = l0codigo;
        this.l0nombre = l0nombre;
        this.l0nombree = l0nombree;
        this.l0nombrei = l0nombrei;
        this.l0nombref = l0nombref;
    }

    /** Method 'Secagrup'.
    * @param l0codigo String
    * @param l0nombre String
    * @param l0nombree String
    * @param l0nombrei String
    * @param l0nombref String
    * @param sectoresesForSecol0 List<Sectores>
    * @param sectoresesForSecodgrupo List<Sectores>
    */
   public Secagrup(String l0codigo, String l0nombre, String l0nombree, String l0nombrei, String l0nombref, List<Sectores> sectoresesForSecol0, List<Sectores> sectoresesForSecodgrupo) {	

           this.l0codigo = l0codigo;
           this.l0nombre = l0nombre;
           this.l0nombree = l0nombree;
           this.l0nombrei = l0nombrei;
           this.l0nombref = l0nombref;
           this.sectoresesForSecol0 = sectoresesForSecol0;
           this.sectoresesForSecodgrupo = sectoresesForSecodgrupo;
    }

    /**
	 * Method 'getL0codigo'.
	 *
	 * @return String
	 */
	
	
	public String getL0codigo() {
		return this.l0codigo;
	}

	/**
	 * Method 'setL0codigo'.
	 *
	 * @param l0codigo String
	 * @return
     */
	
	public void setL0codigo(String l0codigo) {
		this.l0codigo = l0codigo;
	}
    /**
	 * Method 'getL0nombre'.
	 *
	 * @return String
	 */
	
	
	public String getL0nombre() {
		return this.l0nombre;
	}

	/**
	 * Method 'setL0nombre'.
	 *
	 * @param l0nombre String
	 * @return
     */
	
	public void setL0nombre(String l0nombre) {
		this.l0nombre = l0nombre;
	}
    /**
	 * Method 'getL0nombree'.
	 *
	 * @return String
	 */
	
	
	public String getL0nombree() {
		return this.l0nombree;
	}

	/**
	 * Method 'setL0nombree'.
	 *
	 * @param l0nombree String
	 * @return
     */
	
	public void setL0nombree(String l0nombree) {
		this.l0nombree = l0nombree;
	}
    /**
	 * Method 'getL0nombrei'.
	 *
	 * @return String
	 */
	
	
	public String getL0nombrei() {
		return this.l0nombrei;
	}

	/**
	 * Method 'setL0nombrei'.
	 *
	 * @param l0nombrei String
	 * @return
     */
	
	public void setL0nombrei(String l0nombrei) {
		this.l0nombrei = l0nombrei;
	}
    /**
	 * Method 'getL0nombref'.
	 *
	 * @return String
	 */
	
	
	public String getL0nombref() {
		return this.l0nombref;
	}

	/**
	 * Method 'setL0nombref'.
	 *
	 * @param l0nombref String
	 * @return
     */
	
	public void setL0nombref(String l0nombref) {
		this.l0nombref = l0nombref;
	}
	/**
	 * Method 'getSectoresesForSecol0'.
	 *
	 * @return List
	 */
	@JsonIgnore
	public List<Sectores> getSectoresesForSecol0() {
		return this.sectoresesForSecol0;
	}
	
	/**
	 * Method 'setSectoresesForSecol0'.
	 *
	 * @param sectoresesForSecol0 List
	 * @return
	 */
	public void setSectoresesForSecol0(List<Sectores> sectoresesForSecol0) {
		this.sectoresesForSecol0 = sectoresesForSecol0;
	}
	/**
	 * Method 'getSectoresesForSecodgrupo'.
	 *
	 * @return List
	 */
	@JsonIgnore
	public List<Sectores> getSectoresesForSecodgrupo() {
		return this.sectoresesForSecodgrupo;
	}
	
	/**
	 * Method 'setSectoresesForSecodgrupo'.
	 *
	 * @param sectoresesForSecodgrupo List
	 * @return
	 */
	public void setSectoresesForSecodgrupo(List<Sectores> sectoresesForSecodgrupo) {
		this.sectoresesForSecodgrupo = sectoresesForSecodgrupo;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { " ); 
		result.append(" [ l0codigo: ").append(this.l0codigo).append(" ]");
		result.append(", [ l0nombre: ").append(this.l0nombre).append(" ]");
		result.append(", [ l0nombree: ").append(this.l0nombree).append(" ]");
		result.append(", [ l0nombrei: ").append(this.l0nombrei).append(" ]");
		result.append(", [ l0nombref: ").append(this.l0nombref).append(" ]");
		result.append("}");
		return result.toString();
	}


}

